LibreOffice: DocumentMacroConfirmationRequest Exception Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
DocumentMacroConfirmationRequest Exception Reference

describes the request to approve or deny the execution of macros contained in a document. More...

`import "DocumentMacroConfirmationRequest.idl";`

Inheritance diagram for DocumentMacroConfirmationRequest:

## Public Types
typedef sequence< ::com::sun::star::security::DocumentSignatureInformation > | DocumentSignatureInformation
| contains information about the signatures in the document

## Public Attributes
string | DocumentURL
| specifies the URL of the document which contains macros whose execution should be approved or rejected.
::com::sun::star::embed::XStorage | DocumentStorage
| refers to the storage related to the last committed version of the document.
string | DocumentVersion
| contains information about the ODF version of the document
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

describes the request to approve or deny the execution of macros contained in a document.

## Member Typedef Documentation

## ◆ DocumentSignatureInformation

sequence< ::com::sun::star::security::DocumentSignatureInformation > DocumentSignatureInformation

contains information about the signatures in the document

## Member Data Documentation

## ◆ DocumentStorage

::com::sun::star::embed::XStorage DocumentStorage

refers to the storage related to the last committed version of the document.

This storage is necessary e.g. for displaying the existing signatures to the user, to allow him a decision whether or not to trust those signatures and thus the signed macros.

See also
  com::sun::star::security::XDocumentDigitalSignatures::showScriptingContentSignatures

## ◆ DocumentURL

string DocumentURL

specifies the URL of the document which contains macros whose execution should be approved or rejected.

## ◆ DocumentVersion

string DocumentVersion

contains information about the ODF version of the document

The documentation for this exception was generated from the following file:

- com/sun/star/task/DocumentMacroConfirmationRequest.idl